# Class VcfIndexDataChromo

java.lang.Object
org.snpsift.annotate.VcfIndexDataChromo

public class VcfIndexDataChromo extends Object
Represents a set of VCF entries stored in an (uncompressed) file All entries belong to the same chromosome

Author:
  pcingola

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`INITIAL_CAPACITY`

## Constructor Summary

Constructors
Constructor
Description
`VcfIndexDataChromo(org.snpeff.interval.Genome genome)`
`VcfIndexDataChromo(org.snpeff.interval.Genome genome, String chromosome)`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(int start, int end, long fileIdx)`
Add [start, end] => filePos
`long`
`fileSize(int startIdx, int endIdx)`
File size between startIdx and endIdx inclusive
`String`
`getChromosome()`
`int`
`getEnd(int idx)`
`long`
`getFilePosEnd(int idx)`
`long`
`getFilePosStart(int idx)`
`int`
`getStart(int idx)`
`boolean`
`intersects(int idx, int pos)`
Does interval at position 'idx' intersect positions 'pos'?
`boolean`
`intersects(int idx, org.snpeff.interval.Marker marker)`
Does interval at position 'idx' intersect 'marker'?
`org.snpeff.interval.Marker`
`marker(int idx)`
Create a marker form data at position 'idx'
`void`
`setFilePosEnd(long filePosEnd)`
`int`
`size()`
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### INITIAL_CAPACITY

public static final int INITIAL_CAPACITY

See Also:
  - Constant Field Values

## Constructor Details

### VcfIndexDataChromo

public VcfIndexDataChromo(org.snpeff.interval.Genome genome)

### VcfIndexDataChromo

public VcfIndexDataChromo(org.snpeff.interval.Genome genome, String chromosome)

## Method Details

### add

public void add(int start, int end, long fileIdx)
Add [start, end] => filePos

### fileSize

public long fileSize(int startIdx, int endIdx)
File size between startIdx and endIdx inclusive

### getChromosome

public String getChromosome()

### getEnd

public int getEnd(int idx)

### getFilePosEnd

public long getFilePosEnd(int idx)

### getFilePosStart

public long getFilePosStart(int idx)

### getStart

public int getStart(int idx)

### intersects

public boolean intersects(int idx, int pos)
Does interval at position 'idx' intersect positions 'pos'?

### intersects

public boolean intersects(int idx, org.snpeff.interval.Marker marker)
Does interval at position 'idx' intersect 'marker'?

### marker

public org.snpeff.interval.Marker marker(int idx)
Create a marker form data at position 'idx'

### setFilePosEnd

public void setFilePosEnd(long filePosEnd)

### size

public int size()

### toString

public String toString()

Overrides:
  `toString` in class `Object`